Subject: Re: [PATCH net-next v4 0/5] dpaa2-eth: add MAC/PHY support through phylink

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 17 Nov 2019 16:49:24 +0000

On Thu, Oct 31, 2019 at 01:18:27AM +0200, Ioana Ciornei wrote:
> The dpaa2-eth driver now has support for connecting to its associated PHY
> device found through standard OF bindings. The PHY interraction is handled
> by PHYLINK and even though, at the moment, only RGMII_* phy modes are
> supported by the driver, this is just the first step into adding the
> necessary changes to support the entire spectrum of capabilities.

Hi,

You mention that one of the aims here is to eventually support SFPs.
Do you have a plan to solve the current problem with the DPAA2
structure, where the physical network interfaces are configured at
boot time by RCW for their operating mode?

If you want full SFP support, then you will need to dynamically
reconfigure the network interfaces.  For example, 10G NBASE-T SFP+
modules will dynamically switch between 10GBASE-R (XFI), 5000BASE-X,
2500BASE-X, and SGMII depending on the copper side link speed.  The
PHY may also support UXSGMII but it doesn't power up that way and it
is not known whether it is possible or how to change the interface
mode to UXSGMII.

Then there's the whole issue of SGMII vs 1000BASE-X SFPs, and fiber
channel SFPs that can operate at 2500BASE-X.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up